Subject: Re: [1.8.0] git checkout refs/heads/foo checks out branch foo

From: Martin von Zweigbergk <[email-masked]>
Date: Mon, 7 Feb 2011 19:31:12 -0500 (EST)

On Mon, 7 Feb 2011, Jeff King wrote:

> On Mon, Feb 07, 2011 at 03:37:15PM -0800, Junio C Hamano wrote:
> 
> > > Subject: commit: document --detach synonym for "git checkout foo^{commit}"
> > >
> > > For example, one might use this when making a temporary merge to test
> > > that two topics work well together.
> > >
> > > This patch just documents the option.  It is not meant for application
> > > without an implementation and tests for the option.
> > 
> > On top of v1.7.3.5-1-g0cb6ad3 (uk/checkout-ambiguous-ref)...
> 
> Well, I started on tests and your email came just as I was about to
> actually implement. So here are the tests. We didn't seem to have any
> explicit checkout-detached tests before, so I tried to cover existing
> methods in addition to the new option (which means Martin will need to
> tweak one of the tests below when implementing his proposal).

Oops, I didn't know writing a proposal meant signing up to do it as
well ;-). But seriously, this seems like a relatively small change, so
it will hopefully be a good reason for me to push myself to get
started with the C code as well.